from dataclasses import dataclass

from ._BaseModel import BaseModel
from ._SchemaModel import SchemaModel


@dataclass
class PathContentModel(BaseModel):
    schema: SchemaModel | None = None

    def to_dict(self) -> dict:
        return {
            "schema": self.schema,
        }
